summary.kohonen {kohonen} | R Documentation

## Summary and print methods for kohonen objects

### Description

Summary and print methods for `kohonen` objects. The `print` method shows the dimensions and the topology of the map; if information on the training data is included, the `summary` method additionally prints information on the size of the data and the mean distance of an object to its closest codebookvector, which is an indication of the quality of the mapping.

### Usage

    ## S3 method for class 'kohonen'
    summary(object, ...)
    ## S3 method for class 'kohonen'
    print(x, ...)

### Arguments

`x, object` | a `kohonen` object
`...` | Not used.

### Author(s)

Ron Wehrens

### See Also

`som`, `xyf`, `supersom`

### Examples

    data(wines)
    xyf.wines <- xyf(scale(wines), classvec2classmat(vintages),
                     grid = somgrid(5, 5, "hexagonal"))
    xyf.wines
    summary(xyf.wines)

[Package kohonen version 3.0.5 Index]